Publicado el Deja un comentario

Error al ejecutar pip3 en Ubuntu 18.04: ImportError: cannot import name ‘main’.

Error pip3

Al intentar conocer la versión de mi pip3 instalado, Ubuntu 18.04 me arrojaba el siguiente error:

$ pip3 –version
Traceback (most recent call last):
File «/usr/local/bin/pip3», line 7, in
from pip import main
ImportError: cannot import name ‘main’

Al parecer es un bug que salta al actualizar a la versión 10 de pip3. Para solucionarlo ejecuté las siguientes instrucciones que encontré aquí (también explica la causa) en una terminal:

sudo python3 -m pip uninstall pip && sudo apt install python3-pip –reinstall

Una vez ejecutada debe funcionar bien este comando y no arrojar ningún error.

¡Saludos!

Publicado el Deja un comentario

Ubuntu: Se ha detectado un problema en un programa del sistema. Solución.

¿Cada vez que enciendes tu computadora con Ubuntu te sale este mensaje? Esto es debido a que anteriormente un programa falló. Cuando un programa falla, a veces deja un archivo crash en la ruta /var/crash de nuestra computadora.

Cada vez que que encendemos nuestra computadora el sistema checa esa ruta y si encuentra algo ahí manda el mensaje mencionado. Para evitar que no siga saliendo podemos borrar el contenido de esa carpeta o ruta ejecutando desde una terminal la siguiente instrucción:

sudo rm /var/crash/*

Una vez hecho esto, la próxima vez que encendamos el equipo, ya no aparecerá el mensaje.

¡Saludos!

Publicado el Deja un comentario

Corregir error Failed to fetch http://dl.google.com/linux/chrome/deb/dists/stable/Release Unable to find expected entry ‘main/binary-i386/Packages’ al actualizar paquetes en Ubuntu 14.04

Chrome ya no da soporte a los binarios ed 32 bits en Ubuntu, por eso el repositorio manda este error. Para corregirlo:

Edite el archivo google-chrome.list:

$ sudo gedit /etc/apt/sources.list.d/google-chrome.list

Cambie la linea que dice:

deb http://dl.google.com/linux/chrome/deb/ stable main

Por:

deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main

Guarde el archivo.

Al volver a actualizar paquetes, el error desaparecerá.

¡Visita los patrocinadores!

Publicado el Deja un comentario

Mensaje «Cannot run /usr/bin/firefox» en Netbeans 8.

Hola a todos nuevamente.

Me topé con este error al querer ejecutar una aplicación web con el IDE Netbeans 8 en Ubuntu 14.04.  Netbeans no podía abrir firefox para mostrar la aplicación, Chrome funcionaba perfectamente bien.

«Googleando» el problema no daba con la solución, hasta que encontré en el log de netbeans un error lanzado por el Java:

Si ejecutaba directamente el programa, éste respondía bien. Lo qué observé es que ese archivo no era en realidad un archivo, sino que un link que apuntaba al archivo /usr/lib/firefox/firefox.sh. Encontré el archivo ejecutable de firefox en esa misma carpeta, por lo que opté reemplazar la ruta de ese ejecutable en la ventana de administración de navegadores de netbeans como se muestra en la siguiente imagen:

Selección_409

Una vez cambiado el path del firefox y sus argumentos, la aplicación se abrió en farefox sin problemas.

(No olviden visitar los anuncios de los patrocinadores para seguir conservando este sitio).

¡Saludos!

 

 

Publicado el Deja un comentario

Obtener modelo de la tarjeta madre con Ubuntu

A veces necesitamos conocer el modelo de la tarjeta madre de nuestra PC donde tenemos instalado Ubuntu, para lograrlo tecleamos el siguiente comando en una terminal:

$ sudo dmidecode -t 2

El cual nos mostrará algunos datos como estos:

# dmidecode 2.12
SMBIOS 2.6 present.

Handle 0x0007, DMI type 2, 20 bytes
Base Board Information
Manufacturer: Intel Corporation
Product Name: DP55WB
Version: AAE64798-207
Serial Number: AZWB020000H8
Asset Tag: Base Board Asset Tag
Features:
Board is a hosting board
Board is replaceable
Location In Chassis: Base Board Chassis Location
Chassis Handle: 0x0008
Type: Unknown
Contained Object Handles: 0

Espero y les sea útil.

Publicado el Deja un comentario

Instalar oracle java 7 u 8 en Ubuntu vía PPA repositorio

Para instalar las versiones oficiales de JDK de Oracle versiones 7 u 8 por medio de repositorio en Ubuntu versiones 12.04 en adelante siga las instrucciones en este interesante artículo.

En resumen, las principales instrucciones a ejecutar en una terminal para instalar java jdk de Oracle son las siguientes:

En el artículo se encuentran instrucciones adicionales por si surgen algunos problemas.

¡Saludos!

Publicado el Deja un comentario

Input/output error saving dbf file. LibreOffice 4.2

En Ubuntu, cuando trataba de guardar un archivo en formato .dbf con LibreOffice me marcaba el error de entrada/salida y no me grababa el archivo.

Esto se debe a que no se tiene instalado el LibreOffice Base. Esta aplicación es requerido para poder guardar archivos en formato dbf. Instale este paquete y guardar una hoja de cálculo como archivo .dbf ya no será problema.

¡Saludos!

Publicado el Deja un comentario

QGIS: Las firmas siguientes no se pudieron verificar…

Recién instalé QGIS 2 bajo ubuntu 12.04 siguiendo las indicaciones de instalación en el sitio oficial de QGIS y todo bien, pero cuando intentó hacer una actualización parcial ésta actualización parcial no se completaba, mandaba un error de seguridad.

Cuando quise hacer una actualización de paquetes, me mandaba el siguiente mensaje:

W: Error de GPG: http://qgis.org raring Release: Las firmas siguientes no se pudieron verificar porque su llave pública no está disponible: NO_PUBKEY BBA6491F47765B75

Era un problema con el repositorio, asé que ejecuté los siguientes comandos en una terminal:

# sudo gpg –recv-keys BBA6491F47765B75

# sudo gpg –export –armor BBA6491F47765B75 | sudo apt-key add –

Y listo. Volví a hacer la actualización y los paquetes se actualizaron correctamente.

Saludos.

Publicado el Deja un comentario

Cannot set freq 16000 to ep 0x86 Logitech Cámara

Hay un problema con las camaras web logitech y Ubuntu. El mensaje «Cannot set freq 16000 to ep 0x86» aparece en el syslog y el control de volumen no muestra ningún dispositivo de sonido, sin embargo si hay sonido. El sistema se alenta y algunos programas se congelan.
En mi caso el problema se solucionó siguiendo estas indicaciones (traducido):

– $ sudo vi /etc/default/grub
– Encuentra la linea que inicia con GRUB_CMDLINE_
LINUX_DEFAULT y agrega usbcore.autosuspend=-1 
al final, antes de las comillas dobles. Esto hace que el sistema nunca supenda dispositivos USB. La línea quedaría:
GRUB_CMDLINE_
LINUX_DEFAULT=«quiet splash usbcore.autosuspend=-1″
– Guarda el archivo y sal de Vi. Y enseguida ejecuta
– $ sudo update-grub

Espero y a ustedes también se les resuelva, saludos!

Publicado el Deja un comentario

Mensajería instantánea Empathy no emite sonidos

Siguen mis aventura con Ubuntu 11.04. Ahora la mensajería Empathy no emitía sonidos.
Navegando por ahí  encontré la solución:

Instalar el paquete sound-theme-freedesktop.

Instálalo de tu forma favorita y listo!

Saludos!